var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/transformers/nextjs-layout.ts
var nextjs_layout_exports = {};
__export(nextjs_layout_exports, {
  default: () => transformer
});
module.exports = __toCommonJS(nextjs_layout_exports);
function transformer(file, api, options) {
  const withTSX = file.path.endsWith(".tsx");
  const j = api.jscodeshift.withParser(withTSX ? "tsx" : "jsx");
  const root = j(file.source);
  const newImport = j.importDeclaration(
    [j.importDefaultSpecifier(j.identifier("{ ClerkProvider }"))],
    j.stringLiteral("@clerk/nextjs")
  );
  root.get().node.program.body.unshift(newImport);
  root.findJSXElements("html").forEach((element) => {
    const wrappedLayout = j.jsxElement(
      j.jsxOpeningElement(j.jsxIdentifier("ClerkProvider")),
      j.jsxClosingElement(j.jsxIdentifier("ClerkProvider")),
      [j.stringLiteral("\n"), element.value, j.stringLiteral("\n")]
    );
    j(element).replaceWith(wrappedLayout);
  });
  return root.toSource(options).replace("(<html", "<html").replace("</html>)", "</html>");
}
